
Installer - Bug #37062

Rename deprecated pulp TELEMETRY setting to ANALYTICS

01/18/2024 03:15 PM - William Clark

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/326,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/470

  

Description

Details of the pulp change at https://github.com/pulp/pulpcore/issues/3417 and the corresponding PR

Although the TELEMETRY name is kept as an alias, it could be removed in the future, and changing it here will prevent deprecation

warnings from appearing in the logs.

Associated revisions

Revision d66b306d - 01/26/2024 05:39 PM - William Clark

Fixes #37062 - Rename pulpcore::telemetry to pulpcore::analytics

Pulp changed the setting name to ANALYTICS. The original name

TELEMETRY is deprecated and could be removed in the future.

Revision b9d0e0d4 - 01/26/2024 05:53 PM - William Clark

Refs #37062 - Use pulpcore::analytics instead of pulpcore::telemetry

Pulp's TELEMETRY setting has been renamed to ANALYTICS. The original

setting name TELEMETRY has been deprecated in favor of the new name.

History

#1 - 01/18/2024 03:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to William Clark

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/326 added

#2 - 01/18/2024 03:29 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/470 added

#3 - 01/26/2024 05:39 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#4 - 01/26/2024 06:00 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|d66b306dc4db34890521ca7c3cd342b00d5af97f.
